﻿using AutoMapper;
using IRaCIS.Core.Application.Contracts;
using IRaCIS.Core.Application.Service.Reading.Dto;
using IRaCIS.Core.Application.ViewModel;
using IRaCIS.Core.Domain.Models;


namespace IRaCIS.Core.Application.Service
{
    public class ReadingConfig : Profile
    {
        public ReadingConfig()
        {
            CreateMap<ReadingPeriodSet, ReadingPeriodSetAddOrEdit>().ReverseMap();

            CreateMap<ReadingPeriodSet, ReadingPeriodSetView>();

            CreateMap<ClinicalData, ClinicalDataAddOrEdit>().ReverseMap();

            CreateMap<ClinicalData, ClinicalDataView>();

            CreateMap<PreviousPDF, PreviousPDFAddOrEdit>().ReverseMap();

            CreateMap<PreviousPDF, PreviousPDFView>();

        }
    }
   
}
